using UnityEngine;

public interface IGrabbable
{
    bool CanBeGrabbed { get; }

    void OnGrab(IGrabber grabber);
    void OnLeave(IGrabber grabber);
}

public interface IGrabber
{
    Rigidbody2D RigidbodyComponent { get; }
}
